Bug 139716 - yum delays exit and doesnt inform the user of bad input
yum delays exit and doesnt inform the user of bad input
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 13:30 EST by Rahul Sundaram
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-17 13:32:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2004-11-17 13:30:35 EST
Version-Release number of selected component (if applicable):


yum-2.1.11-3


How reproducible:

everytime

Steps to Reproduce:
1) run "yum badinput" in command line

Actual results:

There is a delay of about 30 seconds and yum command line help output.

Expected results:

It would be much better if the delay is low and the user is actually
informed the input is invalid rather than silently ignoring it

Additional info:
Comment 1 Seth Vidal 2004-11-17 13:32:46 EST
it has to read in the yum scripts and python modules in order to know
that it is bad input.

it takes 2s on my system. What are you running on?

and the output of the usage dialog is a pretty common way of saying
"thats not something we do, here is what we do"

Comment 2 Rahul Sundaram 2004-11-17 20:33:34 EST
Hi

I suppose you are asking for system configuration

cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 7
model name      : AMD Duron(tm) processor
stepping        : 0
cpu MHz         : 1102.446
cache size      : 64 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca
cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow
bogomips        : 2162.68


#cat /proc/meminfo
MemTotal:       118316 kB
MemFree:         27132 kB
Buffers:          7756 kB
Cached:          57340 kB
SwapCached:       9876 kB
Active:          46600 kB
Inactive:        32512 kB
HighTotal:           0 kB
HighFree:            0 kB
LowTotal:       118316 kB
LowFree:         27132 kB
SwapTotal:      626452 kB
SwapFree:       609160 kB
Dirty:               0 kB
Writeback:           0 kB
Mapped:          22112 kB
Slab:             9080 kB
Committed_AS:   102920 kB
PageTables:        964 kB
VmallocTotal:  4014072 kB
VmallocUsed:      1388 kB
VmallocChunk:  4012492 kB
HugePages_Total:     0
HugePages_Free:      0
Hugepagesize:     4096 kB


it takes 22 seconds on my system. is that considered slow?. I agree
that showing the command line is a way of saying that user input is
wrong. I was hoping you would consider making it a explicit message
and also showing the syntax as a improvement. 
Comment 3 Seth Vidal 2004-11-17 21:02:21 EST
it's taking 30s to just run yum badinput?
Are you swapping?

So you want a "This is not a known command" message?

Comment 4 Rahul Sundaram 2004-11-17 21:09:01 EST
Hi Seth

"it's taking 30s to just run yum badinput?
Are you swapping?"

Yes. It takes about 30 secs just to return a prompt

#free
             total       used       free     shared    buffers     cached
Mem:        118316     110908       7408          0      57776      21052
-/+ buffers/cache:      32080      86236
Swap:       626452      17288     609164

if you need any further information about my system I am more than
willing to provide those


"So you want a "This is not a known command" message?"

yes. something similar at the start followed by the syntax is what I
am requesting.
Comment 5 Seth Vidal 2004-11-18 01:51:47 EST
I think you're swapping. It looks like you're system has 128M of ram.
it's possible your system is swapping out just to load python + yum.

Note You need to log in before you can comment on or make changes to this bug.